# wxLayoutConstraints Class Reference

`#include </home/work/projects/wx/2.9/wx/interface/wx/layout.h>`

Inheritance diagram for wxLayoutConstraints:
[legend]

## Public Member Functions

| wxLayoutConstraints ()
virtual | ~wxLayoutConstraints ()
bool | SatisfyConstraints (wxWindow *win, int *noChanges)
bool | AreSatisfied () const

## Public Attributes

wxIndividualLayoutConstraint | left
wxIndividualLayoutConstraint | top
wxIndividualLayoutConstraint | right
wxIndividualLayoutConstraint | bottom
wxIndividualLayoutConstraint | width
wxIndividualLayoutConstraint | height
wxIndividualLayoutConstraint | centreX
wxIndividualLayoutConstraint | centreY

List of all members.

## Constructor & Destructor Documentation

wxLayoutConstraints::wxLayoutConstraints | ( |  | ) |

virtual wxLayoutConstraints::~wxLayoutConstraints | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

bool wxLayoutConstraints::AreSatisfied | ( |  | ) | const

bool wxLayoutConstraints::SatisfyConstraints | ( | wxWindow * | win,
|  | int * | noChanges |
| ) |  |  |

## Member Data Documentation

wxIndividualLayoutConstraint wxLayoutConstraints::bottom

wxIndividualLayoutConstraint wxLayoutConstraints::centreX

wxIndividualLayoutConstraint wxLayoutConstraints::centreY

wxIndividualLayoutConstraint wxLayoutConstraints::height

wxIndividualLayoutConstraint wxLayoutConstraints::left

wxIndividualLayoutConstraint wxLayoutConstraints::right

wxIndividualLayoutConstraint wxLayoutConstraints::top

wxIndividualLayoutConstraint wxLayoutConstraints::width

|  | [ top ]